VMTKBRANCHCLIPPER(1)

NAME
vmtkbranchclipper - vmtk script vmtkbranchclipper

DESCRIPTION
Automatic piping vmtkbranchclipper Parsing options vmtkbranchclipper

vmtkbranchclipper : divide a surface in relation to its split and

    grouped centerlines

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1)

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-centerlines Centerlines (vtkPolyData,1)

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds

-groupids GroupIds (int,-1); default=[]

-insideout InsideOut (bool,1); default=0

-useradius UseRadiusInformation (bool,1); default=1

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius

-blankingarray BlankingArrayName (str,1); default=Blanking

-cutoffradiusfactor CutoffRadiusFactor (float,1) >= 0.0;

    default=1e+16

-clipvalue ClipValue (float,1); default=0.0

-interactive Interactive (bool,1); default=0

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

-ocenterlinesfile CenterlinesOutputFileName (str,1): filename for

    the default Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1)

-ocenterlines Centerlines (vtkPolyData,1)